Skip to main content

This content has been archived and is no longer being updated. Links may not function; however, this content may be relevant to outdated versions of the product.

Support Article

Update Existing Applications fails - Invalid ruleset version

SA-46004

Summary



After upgrading to Pega 7.2.2, unable to run the Update Existing Applications utility.


Error Messages



[PegaRULES-Batch-3] [STANDARD] [PegaRULES:07.10] (ernal.async.BatchRequestorTask) ERROR [email protected] - Batch activity "Pega-Landing-System-Upgrade.pxPostUpgrade" threw:
com.pega.pegarules.pub.PRRuntimeError: PRRuntimeError
...
Caused by: java.lang.IllegalArgumentException: Invalid ruleset version


Steps to Reproduce

  1. Upgrade from PRPC 6.2 to Pega 7.2.2.
  2. Run the below query as a database user and review the first result.

    SELECT "PZINSKEY" AS "pzInsKey" , "PXCREATEDATETIME" AS "pxCreateDateTime" , "PYSETTING" AS "pySetting", "PZINSKEY" as "pxInsHandle" from your_rules_schema.pr_data_admin_product WHERE "PXOBJCLASS" = 'Data-Admin-Product' ORDER BY "PXCREATEDATETIME" DESC


Root Cause



A defect or configuration issue in the operating environment. In this case, a PRPC 5.4 entry existed which did not include a DateTime value in the pxCreateDateTime column and which was returned as the top result.


Resolution



Perform the following local-change:

Add a pxCreateDateTime value for the PRPC v5.4 entry that is older than the value listed for Pega 7.2.2.


 

Published September 7, 2018 - Updated October 8, 2020

Was this useful?

100% found this useful

Have a question? Get answers now.

Visit the Collaboration Center to ask questions, engage in discussions, share ideas, and help others.

Did you find this content helpful?

Want to help us improve this content?

We'd prefer it if you saw us at our best.

Pega Community has detected you are using a browser which may prevent you from experiencing the site as intended. To improve your experience, please update your browser.

Close Deprecation Notice
Contact us